<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    
     <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    
    
    <style>
        .fondo{
            width: 100%;
            height: 100vh;
            background: url('https://st2.depositphotos.com/1278966/5506/i/950/depositphotos_55062177-stockafbeelding-blauwe-handgemaakte-nummers-wiskundige-achtergrond.jpg');
            background-size: cover;
        }
        
        .text__vista{
            padding: 2rem;
            color: #000;
            background: #eee;
            font-weight: bold;
            border-radius: 8px;
            font-size: 30px;
            text-align: center;
        }
        
        
        #texto{
            font-size: 20px;
            min-height: 150px;
            max-height:200px;
            
        }
    </style>
</head>
<body>
    
    <div class="container-fluid fondo" >
        <div class="container">
            <div class="row">
                <div class="col-lg-6 mt-5">
                    <textarea class="form-control" id="texto" placeholder="Ingrese Texto"></textarea>
                </div>
                <div class="col-lg-6  mt-5">
                    
                    <div class="text__vista" id="contador">

                    </div>
                    <p>Caracteres restantes <span id="res"></span></p> 
                </div>       
            </div>
        </div>
        
    </div>
    
    
    
     <script src="js/jquery-3.3.1.min.js"></script>
     <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
     <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    
    
    
    <script>                         
        var total=250;
        
        var texto=document.getElementById('texto');
        
        texto.addEventListener('input',contarcaracteres)
        
        function contarcaracteres (){
            var respuesta=document.getElementById('contador');
            
                var cantidad=texto.value.length;
                document.getElementById('contador').innerHTML = "Total Caracteres " + cantidad;
            
                document.getElementById('res').innerHTML =  (total - cantidad) ;

            if(cantidad > total){
                respuesta.style.color = "red";
                alert("has sobrepasado el limite");
            }
            else{
                respuesta.style.color = "black";
            }
        }
        
        
        
        
        
    </script>
</body>
</html>